package it.polito.esame;

import it.polito.porto.bean.PortoArticle;
import it.polito.porto.bean.PortoCreator;

import java.util.ArrayList;
import java.util.List;

public class Model {
	
	private List<PortoArticle> articles ;
	private List<PortoCreator> creators ;
		
	public Model() {
		super();
		articles = new ArrayList<>() ;
		creators = new ArrayList<>() ;
	}

	public List<PortoArticle> getArticles() {
		return articles;
	}

	public void setArticles(List<PortoArticle> articles) {
		this.articles = articles;
	}

	public List<PortoCreator> getCreators() {
		return creators;
	}

	public void setCreators(List<PortoCreator> creators) {
		this.creators = creators;
	}
	
	public PortoCreator getCreatorFromId(int creatorId) {
		
		PortoCreator c = new PortoCreator(creatorId, null, null) ;
		int pos = creators.indexOf(c) ;
		
		if (pos<0)
			return null;
		else
			return creators.get(pos) ;
	}
	
	public PortoArticle getArticleFromId(long eprintId) {
		
		PortoArticle c = new PortoArticle(eprintId, 0, null ) ;
		int pos = articles.indexOf(c) ;
		
		if (pos<0)
			return null;
		else
			return articles.get(pos) ;
	}

	
}
